<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ResultadoExamen extends Model
{
    protected $table = 'resultados_examenes';

    protected $fillable = [
        'postulante_id',
        'examen_id',
        'total_puntos',
        'correctas_por_curso',
        'incorrectas_por_curso',
        'preguntas_totales_por_curso',
        'total_correctas',
        'total_incorrectas',
        'total_nulas',
        'porcentaje_correctas',
        'calificacion_sobre_20',
        'orden_merito',
        'probabilidad_ingreso',
        'programa_recomendado',
    ];

    public function postulante()
    {
        return $this->belongsTo(Postulante::class);
    }

    public function examen()
    {
        return $this->belongsTo(Examen::class);
    }
}
